aboutsummaryrefslogtreecommitdiff
path: root/development
diff options
context:
space:
mode:
authorEric LeBlanc <9johansen@protonmail.com>2024-11-05 08:36:46 +0700
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2024-11-05 09:21:03 +0700
commit92ab915e892af65815e4cec124cc28ec53553385 (patch)
treebb246dd4eab94781362677f4c4f3ee297224bdd6 /development
parent534016132ebd5fbcd178ad1a88f2fc84b41ba01f (diff)
development/pp: Added (a preprocessor).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/pp/README8
-rw-r--r--development/pp/pp.SlackBuild96
-rw-r--r--development/pp/pp.info10
-rw-r--r--development/pp/slack-desc19
4 files changed, 133 insertions, 0 deletions
diff --git a/development/pp/README b/development/pp/README
new file mode 100644
index 000000000000..017f59bbcdb0
--- /dev/null
+++ b/development/pp/README
@@ -0,0 +1,8 @@
+pp
+
+a preprocessor
+
+pp allows embedding sh code in files of any type by nesting it inside
+the #!\n token, where \n is a new line. That means that if you'd like
+a simple loop or an if inside an HTML file for instance, you could
+use pp.
diff --git a/development/pp/pp.SlackBuild b/development/pp/pp.SlackBuild
new file mode 100644
index 000000000000..3a2027d792e6
--- /dev/null
+++ b/development/pp/pp.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/bash
+
+# Slackware build script for pp
+
+# Copyright 2024 Eric LeBlanc, Ottawa, ON, Canada
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=pp
+VERSION=${VERSION:-1.0.11}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+else
+ SLKCFLAGS="-O2"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar zxvf $CWD/$PRGNAM@$VERSION.tgz
+cd $PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+
+make
+install -D -t $PKG/usr/bin -m755 pp
+install -D -t $PKG/usr/man/man1 -m644 pp.1
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/development/pp/pp.info b/development/pp/pp.info
new file mode 100644
index 000000000000..b5a83704ede0
--- /dev/null
+++ b/development/pp/pp.info
@@ -0,0 +1,10 @@
+PRGNAM="pp"
+VERSION="1.0.11"
+HOMEPAGE="https://adi.onl/pp.html"
+DOWNLOAD="https://adi.onl/pp/pp@1.0.11.tgz"
+MD5SUM="9243c260582415fd3e6bfd286edb1c9a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Eric LeBlanc"
+EMAIL="9johansen@protonmail.com"
diff --git a/development/pp/slack-desc b/development/pp/slack-desc
new file mode 100644
index 000000000000..71b7bd20f8c0
--- /dev/null
+++ b/development/pp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pp: pp (a preprocessor)
+pp:
+pp: pp allows embedding sh code in files of any type by nesting it inside
+pp: the #!\n token, where \n is a new line. That means that if you'd like
+pp: a simple loop or an if inside an HTML file for instance, you could
+pp: use pp.
+pp:
+pp:
+pp:
+pp:
+pp: